package com.ankaibei.workFlow.webadmin.ankaibei.service;


import com.ankaibei.workFlow.webadmin.ankaibei.entity.ProjectInfoEntity;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ProjectInfoVo;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ResMsg;

import java.util.List;

/**
 * @author
 * @version 1.0
 * @description:
 * @date 2022/9/14 11:12
 */
public interface ProjectInfoService {

    ResMsg findProjectInfo(Integer pageIndex, Integer pageSize, ProjectInfoEntity projectInfoEntity);

    ResMsg findProjectInfoAll(String projectName);

    ResMsg findProjectParticulars(ProjectInfoEntity projectInfoEntity);

    ResMsg addProject(ProjectInfoEntity projectInfoEntity);

    ResMsg updateProject(ProjectInfoEntity projectInfoEntity);

    ResMsg deleteProjects(List<ProjectInfoVo> projectInfoVos);

    ResMsg findPrincipalProject(String userId);

    ResMsg findAccesoryInfo(ProjectInfoEntity projectInfoEntity);

    ResMsg findProjectNumber();

    ResMsg substepOfProjectNum();

    ResMsg findLastMonthProjectNumber();

    ResMsg substepOfProjectNumAtLastMonth();
}
